{% extends "base.html.j2" %}
{% block title %}Summary{% endblock %}
{% block content %}
    {{ summary('Results', "", [
      { 'title': 'Helms', 'failing': (ns.failing_helms | length), 'total': (ns.helms | length)},
      ])
    }}

  <section class="section">
    <div class="container">
      <h1 class="title is-1">
        Results
      </h1>
      <!-- Helm table -->
      <div id="helms" class="table-container">
        <table class="table is-fullwidth is-striped is-hoverable">
          <thead>
            <tr>
              <th>Name</th>
              <th>Status</th>
              <th>Description</th>
            </tr>
          </thead>
          <tbody>
          {% for helm in ns.helms|sort %}
            <tr>
              <td><a href="./{{ helm }}.log" title="{{ helm }}">{{ helm }}</a></td>
              {% if helm in ns.failing_helms %}
              <td>{{ status_color(ns.failing_helms[helm]['status']) }}</td>
              <td>
              	{{ ns.failing_helms[helm]['description'] }}
              </td>
              {% else %}
              <td>{{ status_color("DEPLOYED") }}</td>
              <td />
              {% endif %}
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>


    </div>
{% endblock %}
